Skip to content

Retrieve all card orders

Request

Retrieves a list of card orders created for the specified profileId.

Security
UserToken
Path
profileIdinteger, (int64)required

The profile ID (personal or business).

Example:123456
Query
pageSizeinteger, (int32)

The maximum number of card orders to return per page. This number can be between 10 - 100, and will default to 10.

Example:pageSize=10
pageNumberinteger, (int32)

The page number to retrieve the next set of card orders. The number has to be greater or equal to 1, and will default to 1.

Example:pageNumber=1
Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
curl -i -X GET \
  'https://api.wise.com/v3/spend/profiles/123456/card-orders?pageSize=10&pageNumber=1' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'

Responses

OK - Successfully retrieved card orders.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
totalCountinteger

The total number of card orders for this profile.

Example:5
cardOrdersArray of objects
Response
{ "totalCount": 5, "cardOrders": [ { "id": 142, "profileId": 123456, "clientId": "your-client-id", "cardProgram": {}, "address": {}, "cardToken": "4dc0be88-903f-49e4-8237-735f1139e3dd", "replacesCard": "4dc0be88-903f-49e4-8237-735f1139e3dd", "creationTime": "2023-07-31T01:43:24.596321434Z", "modificationTime": "2023-07-31T01:43:24.596321825Z", "status": "PRODUCED", "cardHolderName": "John Smith", "phoneNumber": "+441234567890", "lifetimeLimit": 100, "deliveryEstimate": "2023-10-30T07:11:00.848681Z", "deliveryDetails": {} } ] }